// https://developer.mozilla.org/en-US/docs/Web/CSS/font-weight
$lightWeight: 300;
$regularWeight: 400;
$mediumWeight: 500;
$semiBoldWeight: 600;
$boldWeight: 700;
$extraBoldWeight: 800;
$blackWeight: 900;
$extraBlackWeight: 950;

@function adjust($rem) {
	@return $rem * 0.0625;
}

@mixin typography($scaleCategory) {
	font-family: "Roboto", sans-serif;
	@if $scaleCategory == H1 {
		font-weight: $lightWeight;
		font-size: adjust(96rem);
		letter-spacing: adjust(-1.5rem);
	} @else if $scaleCategory == H2 {
		font-weight: $lightWeight;
		font-size: adjust(60rem);
		letter-spacing: adjust(-0.5rem);
	} @else if $scaleCategory == H3 {
		font-weight: $regularWeight;
		font-size: adjust(48rem);
		letter-spacing: adjust(0rem);
	} @else if $scaleCategory == H4 {
		font-weight: $regularWeight;
		font-size: adjust(34rem);
		letter-spacing: adjust(0.25rem);
	} @else if $scaleCategory == H5 {
		font-weight: $regularWeight;
		font-size: adjust(24rem);
		letter-spacing: adjust(0rem);
	} @else if $scaleCategory == H6 {
		font-weight: $mediumWeight;
		font-size: adjust(20rem);
		letter-spacing: adjust(0.15rem);
	} @else if $scaleCategory == SubTitle1 {
		font-weight: $regularWeight;
		font-size: adjust(16rem);
		letter-spacing: adjust(0.15rem);
	} @else if $scaleCategory == SubTitle2 {
		font-weight: $mediumWeight;
		font-size: adjust(14rem);
		letter-spacing: adjust(0.1rem);
	} @else if $scaleCategory == Body1 {
		font-weight: $regularWeight;
		font-size: adjust(16rem);
		letter-spacing: adjust(0.5rem);
	} @else if $scaleCategory == Body2 {
		font-weight: $regularWeight;
		font-size: adjust(14rem);
		letter-spacing: adjust(0.25rem);
	} @else if $scaleCategory == Button {
		font-weight: $mediumWeight;
		font-size: adjust(14rem);
		letter-spacing: adjust(1.25rem);
        text-transform: uppercase;
	} @else if $scaleCategory == Caption {
		font-weight: $regularWeight;
		font-size: adjust(12rem);
		letter-spacing: adjust(0.4rem);
	} @else if $scaleCategory == Overline {
		font-weight: $regularWeight;
		font-size: adjust(10rem);
		letter-spacing: adjust(1.5rem);
        text-transform: uppercase;
	}
}
